Summary: A set of GNU text file modifying utilities.
Summary(ja): GNU eLXgt@C[eBeB
%define name textutils
%define unixroot /usr
%define version 2.0.11
%define __infodir /usr/share/info
Name: %{name}
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/Text
Source: ftp://alpha.gnu.org/gnu/fetish/textutils-%{version}.tar.gz
SOURCE1: %{name}-%{version}-OS2-patch.zip
Prereq: texinfo
#BuildPrereq: libtool
Buildroot: /tmp/%{name}-root
Docdir: %{unixroot}/share/doc
Prereq: %{unixroot}/bin/install-info.exe

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
chmod +rw -R *
unzip -o %{SOURCE1}
unzip -o OS2patch
#%patch -p1
%build
os2config %{unixroot} intl
make
%install
rm -rf ${RPM_BUILD_ROOT}
make install prefix=$RPM_BUILD_ROOT%{unixroot} mandir=$RPM_BUILD_ROOT%{unixroot}/share/man\
  infodir=$RPM_BUILD_ROOT%{unixroot}/share/info
mkdir -p $RPM_BUILD_ROOT%{unixroot}/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT%{unixroot}/dll
cp intl/*.dll lib/*.dll $RPM_BUILD_ROOT%{unixroot}/dll/
cp %{SOURCE1} $RPM_BUILD_ROOT%{unixroot}/src/redhat/SOURCES/
mkdir -p $RPM_BUILD_ROOT%{unixroot}/src/redhat/SPECS
cp $RPM_SOURCE_DIR/../SPECS/%{name}-%{version}-os2.spec $RPM_BUILD_ROOT%{unixroot}/src/redhat/SPECS/

%ifos linux
    mkdir -p $RPM_BUILD_ROOT/bin
    for f in cat sort; do
	mv $RPM_BUILD_ROOT/usr/bin/$f $RPM_BUILD_ROOT/bin/$f
    done
%endif

gzip -9nf $RPM_BUILD_ROOT%{__infodir}/%{name}.info*


%post
install-info %{__infodir}/%{name}.info.gz %{__infodir}/dir

%preun
if [ $1 = 0 ]; then
   install-info --delete %{__infodir}/%{name}.info.gz %{__infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS README *.os2
%ifos linux
/bin/*
%endif
%{unixroot}/bin/*
%{unixroot}/dll/*.dll
%{unixroot}/share/info/text*.info*
%{unixroot}/share/man/*/*
%{unixroot}/share/locale/*/*/*
%{unixroot}/src/redhat/SPECS/%{name}-%{version}-os2.spec
%{unixroot}/src/redhat/SOURCES/%{name}-%{version}-OS2-patch.zip

%changelog
* Thu Mar  1 2001 SAWATAISHI Jun <jsawa@attglobal.net>
- First release of rpm package for OS/2: version 2.0e
   * gettext requires UNIXROOT env. var. ; when the var is "x:", 
     "x:/usr/share/locale" is supposed to be a locale directory. 

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- minor cleanup for errata release
- lose %%{_prefix}
- don't include the broken patches

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Wed May  3 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- BuildPreqeq: libtool (Bug #11106)

* Mon Apr 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disabled patches, to make "-n" work. This may cause some problems
  due to glibc sorting weirdness which Cristian is fixing seperately.

* Sun Apr  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 2.0e

* Mon Jan  7 2000 Jakub Jelinek <jakub@redhat.com>
- Revert comm and join to old behaviour (binary sorting).
  Add new switch "-l" to both. If sort -l is used to generate
  input, comm -l/join -l should be used on that, otherwise
  -l should not be specified.

* Wed Jan  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 2.0a
- Revert sort to old behavior (binary sorting).
  Add new switch "-l" to handle locales (the way 2.0 did)
  (Bugs #7020, #7828, #8021, #8125)
- unset LINGUAS before running configure
- fix a bug in the spec file (it's rm -rf, not rm -f)

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.0.
- fix tsort conflicts (by eliminating tsort from util-linux).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc
